Skip to main content
GET
/
v2
/
verifications
/
{id}
Retrieve a verification
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/verifications/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
  "user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
  "client": "39096494-45c8-4fd8-9454-3d1cb2d62db7",
  "created_at": "2023-03-09T16:22:06.081Z",
  "updated_at": "2023-03-09T16:22:06.081Z",
  "channel": "api",
  "status": {
    "state": "PROCESSING",
    "code": "authenticated",
    "errors": []
  },
  "report": {
    "id": null,
    "type": "voai",
    "file_url": null,
    "json_url": null,
    "configuration": {
      "from_date": "2024-01-01T00:00:00Z",
      "income_stream_confidence_minimum": 50,
      "report_custom_fields": [
        {
          "label": "loanID",
          "value": "12345",
          "shown": true
        }
      ]
    }
  },
  "employments": [],
  "loan": {
    "number": "1234",
    "borrower_id": "ABC789",
    "application_id": "2121313",
    "officer_email": "[email protected]"
  },
  "billing": {
    "cost_center": "5"
  },
  "data_source": "banking"
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Path Parameters

id
string<uuid>
required

ID of the verification to be retrieved.

Response

200 - application/json
id
string<uuid>

Unique ID of the verification.

user
string<uuid>

ID of the user associated with the verification.

client
string<uuid>

ID of the client on whose behalf the verification was requested.

created_at
string<date-time>

Timestamp (ISO 8601) when the verification was requested.

updated_at
string<date-time>

Timestamp (ISO 8601) when the verification object was last updated.

channel
enum<string>

Origin of the verification order.

Available options:
api,
encompass
Example:

"api"

status
object

Verification status information.

report
object

Report information.

employments
object[]

List of employments for the user. Documents only.

loan
object

Optional loan details.

billing
object

Optional billing details.

data_source
enum<string>

Source of verification data.

Available options:
documents,
banking